GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb-gdb.StructTypePrettyPrinter Class Reference

## Public Member Functions
def | __init__ (self, val)
def | to_string (self)

## Public Attributes
| val

## Detailed Description

    Pretty-print an object of type struct type

Definition at line 95 of file gdb-gdb.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdb-gdb.StructTypePrettyPrinter.__init__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 97 of file gdb-gdb.py.

## Member Function Documentation

## ◆ to_string()

def gdb-gdb.StructTypePrettyPrinter.to_string | ( |  | self | ) |

Definition at line 99 of file gdb-gdb.py.

References gdb.printer.bound_registers.MpxBound128Printer.val, gdb-gdb.TypeFlagsPrinter.val, gdb-gdb.StructTypePrettyPrinter.val, gdb.FrameDecorator.SymValueWrapper.val, gdb.printing._EnumInstance.val, YYSTYPE.val, frame_arg.val, and watchpoint.val.

## Member Data Documentation

## ◆ val

gdb-gdb.StructTypePrettyPrinter.val

Definition at line 98 of file gdb-gdb.py.

Referenced by gdb-gdb.StructMainTypePrettyPrinter.bounds_img(), gdb-gdb.StructMainTypePrettyPrinter.flags_to_string(), gdb-gdb.StructMainTypePrettyPrinter.owner_to_string(), gdb-gdb.StructMainTypePrettyPrinter.struct_field_img(), gdb-gdb.StructTypePrettyPrinter.to_string(), gdb-gdb.StructMainTypePrettyPrinter.to_string(), and gdb-gdb.StructMainTypePrettyPrinter.type_specific_img().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/gdb-gdb.py